# Snapshot report for `test/prefer-add-event-listener.mjs`

The actual snapshot is saved in `prefer-add-event-listener.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | foo.onclick = () => {}

> Output

    `␊
      1 | foo.addEventListener('click', () => {})␊
    `

> Error 1/1

    `␊
    > 1 | foo.onclick = () => {}␊
        |     ^^^^^^^ Prefer \`addEventListener\` over \`onclick\`.␊
    `

## Invalid #2
      1 | foo.onclick = 1

> Output

    `␊
      1 | foo.addEventListener('click', 1)␊
    `

> Error 1/1

    `␊
    > 1 | foo.onclick = 1␊
        |     ^^^^^^^ Prefer \`addEventListener\` over \`onclick\`.␊
    `

## Invalid #3
      1 | foo.bar.onclick = onClick

> Output

    `␊
      1 | foo.bar.addEventListener('click', onClick)␊
    `

> Error 1/1

    `␊
    > 1 | foo.bar.onclick = onClick␊
        |         ^^^^^^^ Prefer \`addEventListener\` over \`onclick\`.␊
    `

## Invalid #4
      1 | const bar = null; foo.onclick = bar;

> Output

    `␊
      1 | const bar = null; foo.addEventListener('click', bar);␊
    `

> Error 1/1

    `␊
    > 1 | const bar = null; foo.onclick = bar;␊
        |                       ^^^^^^^ Prefer \`addEventListener\` over \`onclick\`.␊
    `

## Invalid #5
      1 | foo.onkeydown = () => {}

> Output

    `␊
      1 | foo.addEventListener('keydown', () => {})␊
    `

> Error 1/1

    `␊
    > 1 | foo.onkeydown = () => {}␊
        |     ^^^^^^^^^ Prefer \`addEventListener\` over \`onkeydown\`.␊
    `

## Invalid #6
      1 | foo.ondragend = () => {}

> Output

    `␊
      1 | foo.addEventListener('dragend', () => {})␊
    `

> Error 1/1

    `␊
    > 1 | foo.ondragend = () => {}␊
        |     ^^^^^^^^^ Prefer \`addEventListener\` over \`ondragend\`.␊
    `

## Invalid #7
      1 | foo.onclick = function (e) {
      2 | 	console.log(e);
      3 | }

> Output

    `␊
      1 | foo.addEventListener('click', function (e) {␊
      2 | 	console.log(e);␊
      3 | })␊
    `

> Error 1/1

    `␊
    > 1 | foo.onclick = function (e) {␊
        |     ^^^^^^^ Prefer \`addEventListener\` over \`onclick\`.␊
      2 | 	console.log(e);␊
      3 | }␊
    `

## Invalid #8
      1 | foo.onclick = null

> Error 1/1

    `␊
    > 1 | foo.onclick = null␊
        |     ^^^^^^^ Prefer \`removeEventListener\` over \`onclick\`.␊
    `

## Invalid #9
      1 | foo.onclick = undefined

> Error 1/1

    `␊
    > 1 | foo.onclick = undefined␊
        |     ^^^^^^^ Prefer \`removeEventListener\` over \`onclick\`.␊
    `

## Invalid #10
      1 | window.onbeforeunload = null

> Error 1/1

    `␊
    > 1 | window.onbeforeunload = null␊
        |        ^^^^^^^^^^^^^^ Prefer \`removeEventListener\` over \`onbeforeunload\`.␊
    `

## Invalid #11
      1 | window.onbeforeunload = undefined

> Error 1/1

    `␊
    > 1 | window.onbeforeunload = undefined␊
        |        ^^^^^^^^^^^^^^ Prefer \`removeEventListener\` over \`onbeforeunload\`.␊
    `

## Invalid #12
      1 | window.onbeforeunload = foo

> Error 1/1

    `␊
    > 1 | window.onbeforeunload = foo␊
        |        ^^^^^^^^^^^^^^ Prefer \`addEventListener\` over \`onbeforeunload\`. Use \`event.preventDefault(); event.returnValue = 'foo'\` to trigger the prompt.␊
    `

## Invalid #13
      1 | window.onbeforeunload = () => 'foo'

> Error 1/1

    `␊
    > 1 | window.onbeforeunload = () => 'foo'␊
        |        ^^^^^^^^^^^^^^ Prefer \`addEventListener\` over \`onbeforeunload\`. Use \`event.preventDefault(); event.returnValue = 'foo'\` to trigger the prompt.␊
    `

## Invalid #14
      1 | window.onbeforeunload = () => {
      2 | 	return bar;
      3 | }

> Error 1/1

    `␊
    > 1 | window.onbeforeunload = () => {␊
        |        ^^^^^^^^^^^^^^ Prefer \`addEventListener\` over \`onbeforeunload\`. Use \`event.preventDefault(); event.returnValue = 'foo'\` to trigger the prompt.␊
      2 | 	return bar;␊
      3 | }␊
    `

## Invalid #15
      1 | window.onbeforeunload = function () {
      2 | 	return 'bar';
      3 | }

> Error 1/1

    `␊
    > 1 | window.onbeforeunload = function () {␊
        |        ^^^^^^^^^^^^^^ Prefer \`addEventListener\` over \`onbeforeunload\`. Use \`event.preventDefault(); event.returnValue = 'foo'\` to trigger the prompt.␊
      2 | 	return 'bar';␊
      3 | }␊
    `

## Invalid #16
      1 | window.onbeforeunload = function () {
      2 | 	return;
      3 | }

> Output

    `␊
      1 | window.addEventListener('beforeunload', function () {␊
      2 | 	return;␊
      3 | })␊
    `

> Error 1/1

    `␊
    > 1 | window.onbeforeunload = function () {␊
        |        ^^^^^^^^^^^^^^ Prefer \`addEventListener\` over \`onbeforeunload\`.␊
      2 | 	return;␊
      3 | }␊
    `

## Invalid #17
      1 | window.onbeforeunload = function () {
      2 | 	(() => {
      3 | 		return 'foo';
      4 | 	})();
      5 | }

> Output

    `␊
      1 | window.addEventListener('beforeunload', function () {␊
      2 | 	(() => {␊
      3 | 		return 'foo';␊
      4 | 	})();␊
      5 | })␊
    `

> Error 1/1

    `␊
    > 1 | window.onbeforeunload = function () {␊
        |        ^^^^^^^^^^^^^^ Prefer \`addEventListener\` over \`onbeforeunload\`.␊
      2 | 	(() => {␊
      3 | 		return 'foo';␊
      4 | 	})();␊
      5 | }␊
    `

## Invalid #18
      1 | window.onbeforeunload = e => {
      2 | 	console.log(e);
      3 | }

> Output

    `␊
      1 | window.addEventListener('beforeunload', e => {␊
      2 | 	console.log(e);␊
      3 | })␊
    `

> Error 1/1

    `␊
    > 1 | window.onbeforeunload = e => {␊
        |        ^^^^^^^^^^^^^^ Prefer \`addEventListener\` over \`onbeforeunload\`.␊
      2 | 	console.log(e);␊
      3 | }␊
    `

## Invalid #19
      1 | const foo = require('foo');
      2 |
      3 | foo.onerror = () => {};

> Error 1/1

    `␊
      1 | const foo = require('foo');␊
      2 |␊
    > 3 | foo.onerror = () => {};␊
        |     ^^^^^^^ Prefer \`addEventListener\` over \`onerror\`. Note that there is difference between \`{window,element}.onerror\` and \`{window,element}.addEventListener('error')\`.␊
    `

## Invalid #20
      1 | import foo from 'foo';
      2 |
      3 | foo.onerror = () => {};

> Error 1/1

    `␊
      1 | import foo from 'foo';␊
      2 |␊
    > 3 | foo.onerror = () => {};␊
        |     ^^^^^^^ Prefer \`addEventListener\` over \`onerror\`. Note that there is difference between \`{window,element}.onerror\` and \`{window,element}.addEventListener('error')\`.␊
    `

## Invalid #21
      1 | foo.onerror = () => {};
      2 |
      3 | function bar() {
      4 | 	const koa = require('koa');
      5 |
      6 | 	koa.onerror = () => {};
      7 | }

> Error 1/1

    `␊
    > 1 | foo.onerror = () => {};␊
        |     ^^^^^^^ Prefer \`addEventListener\` over \`onerror\`. Note that there is difference between \`{window,element}.onerror\` and \`{window,element}.addEventListener('error')\`.␊
      2 |␊
      3 | function bar() {␊
      4 | 	const koa = require('koa');␊
      5 |␊
      6 | 	koa.onerror = () => {};␊
      7 | }␊
    `

## Invalid #22
      1 | const Koa = require('koa');
      2 | const app = new Koa();
      3 |
      4 | app.onerror = () => {};

> Options

    `␊
    [␊
      {␊
        "excludedPackages": [␊
          "foo"␊
        ]␊
      }␊
    ]␊
    `

> Error 1/1

    `␊
      1 | const Koa = require('koa');␊
      2 | const app = new Koa();␊
      3 |␊
    > 4 | app.onerror = () => {};␊
        |     ^^^^^^^ Prefer \`addEventListener\` over \`onerror\`. Note that there is difference between \`{window,element}.onerror\` and \`{window,element}.addEventListener('error')\`.␊
    `

## Invalid #23
      1 | import {Koa as Foo} from 'koa';
      2 | const app = new Foo();
      3 |
      4 | app.onerror = () => {};

> Options

    `␊
    [␊
      {␊
        "excludedPackages": [␊
          "foo"␊
        ]␊
      }␊
    ]␊
    `

> Error 1/1

    `␊
      1 | import {Koa as Foo} from 'koa';␊
      2 | const app = new Foo();␊
      3 |␊
    > 4 | app.onerror = () => {};␊
        |     ^^^^^^^ Prefer \`addEventListener\` over \`onerror\`. Note that there is difference between \`{window,element}.onerror\` and \`{window,element}.addEventListener('error')\`.␊
    `

## Invalid #24
      1 | const sax = require('sax');
      2 | const parser = sax.parser();
      3 |
      4 | parser.onerror = () => {};

> Options

    `␊
    [␊
      {␊
        "excludedPackages": [␊
          "foo"␊
        ]␊
      }␊
    ]␊
    `

> Error 1/1

    `␊
      1 | const sax = require('sax');␊
      2 | const parser = sax.parser();␊
      3 |␊
    > 4 | parser.onerror = () => {};␊
        |        ^^^^^^^ Prefer \`addEventListener\` over \`onerror\`. Note that there is difference between \`{window,element}.onerror\` and \`{window,element}.addEventListener('error')\`.␊
    `

## Invalid #25
      1 | myWorker.port.onmessage = function(e) {}

> Error 1/1

    `␊
    > 1 | myWorker.port.onmessage = function(e) {}␊
        |               ^^^^^^^^^ Prefer \`addEventListener\` over \`onmessage\`. Note that there is difference between \`SharedWorker#onmessage\` and \`SharedWorker#addEventListener('message')\`.␊
    `

## Invalid #26
      1 | ((foo)).onclick = ((0, listener))

> Output

    `␊
      1 | (foo).addEventListener('click', (0, listener))␊
    `

> Error 1/1

    `␊
    > 1 | ((foo)).onclick = ((0, listener))␊
        |         ^^^^^^^ Prefer \`addEventListener\` over \`onclick\`.␊
    `
