# Snapshot report for `test/prefer-array-some.mjs`

The actual snapshot is saved in `prefer-array-some.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | if (array.find(element => element === "🦄")) {}

> Error 1/1

    `␊
    > 1 | if (array.find(element => element === "🦄")) {}␊
        |           ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | if (array.some(element => element === "🦄")) {}␊
    `

## Invalid #2
      1 | const foo = array.find(element => element === "🦄") ? bar : baz;

> Error 1/1

    `␊
    > 1 | const foo = array.find(element => element === "🦄") ? bar : baz;␊
        |                   ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | const foo = array.some(element => element === "🦄") ? bar : baz;␊
    `

## Invalid #3
      1 | if (
      2 | 	array
      3 | 		.find(element => Array.isArray(element))
      4 | 	// ^^^^ This should NOT report
      5 | 		.find(x => x === 0)
      6 | 	// ^^^^ This should report
      7 | ) {
      8 | }

> Error 1/1

    `␊
      1 | if (␊
      2 | 	array␊
      3 | 		.find(element => Array.isArray(element))␊
      4 | 	// ^^^^ This should NOT report␊
    > 5 | 		.find(x => x === 0)␊
        | 		 ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
      6 | 	// ^^^^ This should report␊
      7 | ) {␊
      8 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | if (␊
      2 | 	array␊
      3 | 		.find(element => Array.isArray(element))␊
      4 | 	// ^^^^ This should NOT report␊
      5 | 		.some(x => x === 0)␊
      6 | 	// ^^^^ This should report␊
      7 | ) {␊
      8 | }␊
    `

## Invalid #1
      1 | array.filter(fn).length > 0

> Output

    `␊
      1 | array.some(fn)␊
    `

> Error 1/1

    `␊
    > 1 | array.filter(fn).length > 0␊
        |       ^^^^^^ Prefer \`.some(…)\` over non-zero length check from \`.filter(…)\`.␊
    `

## Invalid #2
      1 | array.filter(fn).length !== 0

> Output

    `␊
      1 | array.some(fn)␊
    `

> Error 1/1

    `␊
    > 1 | array.filter(fn).length !== 0␊
        |       ^^^^^^ Prefer \`.some(…)\` over non-zero length check from \`.filter(…)\`.␊
    `

## Invalid #3
       1 | if (
       2 | 	((
       3 | 		((
       4 | 			((
       5 | 				((
       6 | 					array
       7 | 				))
       8 | 					.filter(what_ever_here)
       9 | 			))
      10 | 				.length
      11 | 		))
      12 | 		>
      13 | 		(( 0 ))
      14 | 	))
      15 | );

> Output

    `␊
       1 | if (␊
       2 | 	((␊
       3 | 		((␊
       4 | 			((␊
       5 | 				((␊
       6 | 					array␊
       7 | 				))␊
       8 | 					.some(what_ever_here)␊
       9 | 			))␊
      10 | 		))␊
      11 | 	))␊
      12 | );␊
    `

> Error 1/1

    `␊
       1 | if (␊
       2 | 	((␊
       3 | 		((␊
       4 | 			((␊
       5 | 				((␊
       6 | 					array␊
       7 | 				))␊
    >  8 | 					.filter(what_ever_here)␊
         | 					 ^^^^^^ Prefer \`.some(…)\` over non-zero length check from \`.filter(…)\`.␊
       9 | 			))␊
      10 | 				.length␊
      11 | 		))␊
      12 | 		>␊
      13 | 		(( 0 ))␊
      14 | 	))␊
      15 | );␊
    `

## Invalid #1
      1 | foo.find(fn) == null

> Error 1/1

    `␊
    > 1 | foo.find(fn) == null␊
        |     ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | !foo.some(fn)␊
    `

## Invalid #2
      1 | foo.find(fn) == undefined

> Error 1/1

    `␊
    > 1 | foo.find(fn) == undefined␊
        |     ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | !foo.some(fn)␊
    `

## Invalid #3
      1 | foo.find(fn) === undefined

> Error 1/1

    `␊
    > 1 | foo.find(fn) === undefined␊
        |     ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | !foo.some(fn)␊
    `

## Invalid #4
      1 | foo.find(fn) != null

> Error 1/1

    `␊
    > 1 | foo.find(fn) != null␊
        |     ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | foo.some(fn)␊
    `

## Invalid #5
      1 | foo.find(fn) != undefined

> Error 1/1

    `␊
    > 1 | foo.find(fn) != undefined␊
        |     ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | foo.some(fn)␊
    `

## Invalid #6
      1 | foo.find(fn) !== undefined

> Error 1/1

    `␊
    > 1 | foo.find(fn) !== undefined␊
        |     ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | foo.some(fn)␊
    `

## Invalid #7
      1 | a = (( ((foo.find(fn))) == ((null)) )) ? "no" : "yes";

> Error 1/1

    `␊
    > 1 | a = (( ((foo.find(fn))) == ((null)) )) ? "no" : "yes";␊
        |              ^^^^ Prefer \`.some(…)\` over \`.find(…)\`.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.find(…)\` with \`.some(…)\`.␊
      1 | a = (( !((foo.some(fn))) )) ? "no" : "yes";␊
    `
