# Snapshot report for `test/prefer-object-from-entries.mjs`

The actual snapshot is saved in `prefer-object-from-entries.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | pairs.reduce(object => ({...object, key}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', key]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, key}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #2
      1 | pairs.reduce(object => ({...object, key}), {},);

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', key],));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, key}), {},);␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #3
      1 | pairs.reduce(object => ({...object, key,}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', key]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, key,}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #4
      1 | pairs.reduce(object => ({...object, key}), Object.create(null));

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', key]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, key}), Object.create(null));␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #5
      1 | pairs.reduce(object => ({...object, key}), Object.create(null),);

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', key],));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, key}), Object.create(null),);␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #6
      1 | pairs.reduce(object => ({...object, key}), (( {} )));

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', key]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, key}), (( {} )));␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #7
      1 | pairs.reduce(object => ({...object, key}), (( Object.create(null) )),);

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', key],));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, key}), (( Object.create(null) )),);␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #8
      1 | pairs.reduce( (( object => ({...object, key}) )) , {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map( (( () => ['key', key] )) ));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce( (( object => ({...object, key}) )) , {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #9
      1 | pairs.reduce( (( (object) => ({...object, key}) )) , {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map( (( () => ['key', key] )) ));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce( (( (object) => ({...object, key}) )) , {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #10
      1 | pairs.reduce( (( (object,) => ({...object, key}) )) , {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map( (( () => ['key', key] )) ));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce( (( (object,) => ({...object, key}) )) , {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #11
      1 | pairs.reduce(object => ({...object, [((key))] : ((value))}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [((key)), ((value))]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, [((key))] : ((value))}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #12
       1 | ((
       2 | 	(( pairs ))
       3 | 	.reduce(
       4 | 		((
       5 | 			(object,) => ((
       6 | 				((
       7 | 					Object
       8 | 				)).assign(
       9 | 					((
      10 | 						object
      11 | 					)),
      12 | 					(({
      13 | 						[ ((key)) ] : ((value)),
      14 | 					}))
      15 | 				)
      16 | 			))
      17 | 		)),
      18 | 		Object.create(((null)),)
      19 | 	)
      20 | ));

> Output

    `␊
       1 | ((␊
       2 | 	Object.fromEntries((( pairs ))␊
       3 | 	.map(␊
       4 | 		((␊
       5 | 			() => ␊
       6 | 				[((key)), ((value))]␊
       7 | 			␊
       8 | 		))␊
       9 | 	))␊
      10 | ));␊
    `

> Error 1/1

    `␊
       1 | ((␊
       2 | 	(( pairs ))␊
    >  3 | 	.reduce(␊
         | 	 ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
       4 | 		((␊
       5 | 			(object,) => ((␊
       6 | 				((␊
       7 | 					Object␊
       8 | 				)).assign(␊
       9 | 					((␊
      10 | 						object␊
      11 | 					)),␊
      12 | 					(({␊
      13 | 						[ ((key)) ] : ((value)),␊
      14 | 					}))␊
      15 | 				)␊
      16 | 			))␊
      17 | 		)),␊
      18 | 		Object.create(((null)),)␊
      19 | 	)␊
      20 | ));␊
    `

## Invalid #13
      1 | pairs.reduce(object => ({...object, 0: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [0, value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, 0: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #14
      1 | pairs.reduce(object => ({...object, true: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['true', value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, true: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #15
      1 | pairs.reduce(object => ({...object, 0n: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [0n, value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, 0n: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #16
      1 | pairs.reduce(object => ({...object, undefined: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['undefined', value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, undefined: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #17
      1 | pairs.reduce(object => ({...object, null: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['null', value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, null: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #18
      1 | pairs.reduce(object => ({...object, var: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['var', value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, var: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #19
      1 | pairs.reduce(object => ({...object, for: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['for', value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, for: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #20
      1 | pairs.reduce(object => ({...object, default: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['default', value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, default: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #21
      1 | pairs.reduce(object => ({...object, string: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['string', value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, string: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #22
      1 | pairs.reduce(object => ({...object, "string": value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ["string", value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, "string": value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #23
      1 | pairs.reduce(object => ({...object, [0]: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [0, value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, [0]: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #24
      1 | pairs.reduce(object => ({...object, [true]: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [true, value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, [true]: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #25
      1 | pairs.reduce(object => ({...object, [0n]: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [0n, value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, [0n]: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #26
      1 | pairs.reduce(object => ({...object, [undefined]: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [undefined, value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, [undefined]: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #27
      1 | pairs.reduce(object => ({...object, [null]: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [null, value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, [null]: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #28
      1 | pairs.reduce(object => ({...object, ["for"]: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ["for", value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, ["for"]: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #29
      1 | pairs.reduce(object => ({...object, [string]: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [string, value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, [string]: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #30
      1 | pairs.reduce(object => ({...object, ["string"]: value}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ["string", value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, ["string"]: value}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #31
      1 | pairs.reduce(object => Object.assign(object, {key}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', key]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => Object.assign(object, {key}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #32
      1 | pairs.reduce(object => Object.assign(object, {key,}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', key]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => Object.assign(object, {key,}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #33
      1 | pairs.reduce(object => Object.assign(object, {[key]: value,}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => [key, value]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => Object.assign(object, {[key]: value,}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #34
      1 | pairs.reduce((object, element, index, array) => ({...object, key}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(( element, index, array) => ['key', key]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce((object, element, index, array) => ({...object, key}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #35
      1 | pairs.reduce((object, [key, value], index, array,) => ({...object, [key]: value + index + array.length}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(( [key, value], index, array,) => [key, value + index + array.length]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce((object, [key, value], index, array,) => ({...object, [key]: value + index + array.length}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #36
      1 | pairs.reduce(object => ({...object, key: function (object) { return object; }}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['key', function (object) { return object; }]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, key: function (object) { return object; }}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #37
      1 | pairs.reduce(object => ({...object, method: async () => {}}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['method', async () => {}]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, method: async () => {}}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #38
      1 | pairs.reduce(object => ({...object, method: async function * (){}}), {});

> Output

    `␊
      1 | Object.fromEntries(pairs.map(() => ['method', async function * (){}]));␊
    `

> Error 1/1

    `␊
    > 1 | pairs.reduce(object => ({...object, method: async function * (){}}), {});␊
        |       ^^^^^^ Prefer \`Object.fromEntries()\` over \`Array#reduce()\`.␊
    `

## Invalid #1
      1 | _.fromPairs(pairs)

> Output

    `␊
      1 | Object.fromEntries(pairs)␊
    `

> Error 1/1

    `␊
    > 1 | _.fromPairs(pairs)␊
        | ^^^^^^^^^^^ Prefer \`Object.fromEntries()\` over \`_.fromPairs()\`.␊
    `

## Invalid #2
      1 | lodash.fromPairs(pairs)

> Output

    `␊
      1 | Object.fromEntries(pairs)␊
    `

> Error 1/1

    `␊
    > 1 | lodash.fromPairs(pairs)␊
        | ^^^^^^^^^^^^^^^^ Prefer \`Object.fromEntries()\` over \`lodash.fromPairs()\`.␊
    `

## Invalid #3
      1 | myFromPairsFunction(pairs)

> Options

    `␊
    [␊
      {␊
        "functions": [␊
          "myFromPairsFunction"␊
        ]␊
      }␊
    ]␊
    `

> Output

    `␊
      1 | Object.fromEntries(pairs)␊
    `

> Error 1/1

    `␊
    > 1 | myFromPairsFunction(pairs)␊
        | ^^^^^^^^^^^^^^^^^^^ Prefer \`Object.fromEntries()\` over \`myFromPairsFunction()\`.␊
    `

## Invalid #4
      1 | utils.object.foo(pairs)

> Options

    `␊
    [␊
      {␊
        "functions": [␊
          "utils.object.foo"␊
        ]␊
      }␊
    ]␊
    `

> Output

    `␊
      1 | Object.fromEntries(pairs)␊
    `

> Error 1/1

    `␊
    > 1 | utils.object.foo(pairs)␊
        | ^^^^^^^^^^^^^^^^ Prefer \`Object.fromEntries()\` over \`utils.object.foo()\`.␊
    `
